<script>
    import { min, max, leastIndex, sum, extent, ascending } from "d3-array";
    import {  scaleLinear, scaleLog, scaleRadial  } from "d3-scale";
    import { select } from "d3-selection";
    import {lineRadial, curveCatmullRomOpen, curveCardinalClosed} from "d3-shape";


    const width = 500;
    const height = 600;
    const margin = { top: 10, right: 10, bottom: 10, left: 10 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;


    export let data = [];
    export let location = "";
    export let week;
    export let idx;
    export let direction;

    
    
    
    let start_x1, start_x2, rotation, shift;
    
    if(direction==1){
        start_x1 = 10;
        start_x2 = 105;
        rotation = -20;
        shift = -6;
    }
    else if(direction==0){
        start_x1 = -85;
        start_x2 = 10;
        rotation = 20;
        shift = 6;
    }
    else
        console.log("No such direction is found")


    let scale_x = scaleLinear().domain([0, data.length]).range([start_x1, start_x2]);
    let scale_y_electrity = scaleLinear().domain(extent(data, function(d) { return d.total_electrity; })).range([20, 5]);
    let scale_y_heating = scaleLinear().domain(extent(data, function(d) { return d.total_gas; })).range([20, 35]);


    let path_electrity = "M " + scale_x(0) + " " + scale_y_electrity(data[0].total_electrity) + " C ";
    let path_heating = "M " + scale_x(0) + " " + scale_y_heating(data[0].total_gas) + " C ";

    for(let i=1; i<data.length; i++){
        path_electrity += scale_x(i) +  " " + scale_y_electrity(data[i].total_electrity) + " ";
        path_heating += scale_x(i) +  " " + scale_y_heating(data[i].total_gas) + " ";
    }

    path_electrity += start_x2 + " " + 20 + " ";
    path_heating += start_x2 + " " + 20 + " ";

    let line_axis = [start_x1, 20, start_x2, 20];
</script>


<g transform="translate({innerWidth / 2 - 2*margin.left + shift}, {innerHeight-100*(idx+1)}) rotate({rotation})">
    <path d={path_electrity} fill="blue" stroke="blue" opacity="0.8"></path>
    <path d={path_heating} fill="orange" stroke="orange" opacity="0.8"></path>
    <line x1={line_axis[0]} y1={line_axis[1]} x2={line_axis[2]} y2={line_axis[3]} stroke="black" stroke-width=1.5></line>
</g>
